Bug 387821

Summary: Face Recognition and Finding crashs after reaching 50%
Product: [Applications] digikam Reporter: Gerome Meyer <btecsm>
Component: Faces-RecognitionAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, metzpinguin, timokau
Priority: NOR    
Version: 5.8.0   
Target Milestone: ---   
Platform: macOS (DMG)   
OS: macOS   
Latest Commit: Version Fixed In: 7.0.0

Description Gerome Meyer 2017-12-12 05:56:35 UTC
On MAC and Windows 10 I have Problems with the Face Detection and Management System...

I have checked "Lazy Sync" on both platforms, but in Windows it changes the file immediately...
(Because of that and the "dont reacting" after every change I made, I cannot really use DigiKam in Windows)

On MAC it works with that option but it crashes everytime when I want to find or recognize new faces...

I want to see and send a crash log but I cannot find any...

Thanks in Advance!

Gerome
Comment 1 Maik Qualmann 2017-12-17 19:49:38 UTC
Git commit 6a9fd9891a3ff341dc42fe36158cbf0101d513b6 by Maik Qualmann.
Committed on 17/12/2017 at 19:20.
Pushed by mqualmann into branch 'master'.

delete threads from memory when they are finished
Related: bug 375317, bug 375035, bug 321784, bug 325712, bug 328732, bug 330227, bug 331912, bug 344661, bug 345395, bug 350549, bug 381877, bug 338249, bug 329651, bug 329091, bug 381222

M  +2    -1    NEWS
M  +25   -0    libs/database/dbjobs/dbjobsmanager.cpp
M  +35   -0    libs/iojobs/iojobsmanager.cpp

https://commits.kde.org/digikam/6a9fd9891a3ff341dc42fe36158cbf0101d513b6
Comment 2 caulier.gilles 2017-12-17 20:03:57 UTC
Following this commit:

https://commits.kde.org/digikam/6a9fd9891a3ff341dc42fe36158cbf0101d513b6

... the approach to fix this problem is under way and new digiKam 5.8.0 pre-release bundles will be compiled tonight to lets a chance to end-users to give a feedback about this fix before the 5.8.0 official release planed before Christmas 2017.

The bundles will be available in 2 hours at this url:

https://files.kde.org/digikam/

Please do not waste time to test if this file is always valid for next 5.8.0.

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2018-08-17 21:27:24 UTC
Can you reproduce the dysfunction using digiKam 6.0.0 pre-release bundle available here :

https://files.kde.org/digikam/

Gilles Caulier
Comment 4 caulier.gilles 2018-12-31 11:50:49 UTC
Can you reproduce the dysfunction using the last digiKam 6.0.0-beta3 just
released ?

https://www.digikam.org/news/2018-12-30-6.0.0-beta3_release_announcement/
Comment 5 caulier.gilles 2019-03-07 05:03:03 UTC
Good news,

After 2 weeks of works, the 6.1.0 bundles are now reconstructed from scratch with:

- All OpenCV options for CUDA, OPenMP, and OPenCL disabled to prevent crashes in face management.
- A large upgrade of Qt5 from 5.9.7 to 5.11.3.
- An upgrade to KF5 5.55.
- An upgrade to Ffmpeg 3.3.9
- The fontconfig/freetype integration in the bundle to reduce system dependencies

Files can be downloaded here :

https://files.kde.org/digikam/

Please test and report.

Thanks in advance

Gilles Caulier
Comment 6 Maik Qualmann 2019-12-14 15:52:57 UTC
This crash was fixed in bug 399923.

Maik